; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================
; --- Remove scripted common spawns when the event is triggered
filter:
{
	"targetname" "spawn_zombie_run"
}
{
	"targetname" "spawn_zombie_end"
}


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==                  SAFEROOM ITEMS                 ==
; ==    Saferoom item spawns - ammo piles, weapons   ==
; =====================================================

; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
; --- Remove unreachable pill spawns in warehouse
filter:
{
	"hammerid" "1506770"
}
; --- Make both T1 guns always spawn in warehouse
add:
{
	"classname" "weapon_spawn"
	"origin" "10998 -8224 24"
	"angles" "0 210 90"
	"weapon_selection" "any_smg"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================
; --- Allow ammo piles in the warehouse and raised house to exist at the same time
filter:
{
	"targetname" "ammo_spawn1_template"
}
{
	"targetname" "ammo_spawn2_template"
}
; --- Make the ammo piles in the warehouse and raised house always spawn
modify:
{
	match:
	{
		"targetname" "ammo_spawn1"
	}
	insert:
	{
		"spawnflags" "2"
	}
}
{
	match:
	{
		"targetname" "ammo_spawn2"
	}
	insert:
	{
		"spawnflags" "2"
	}
}
add:
; --- Ammo pile on platform by warehouse entrance
{
	"classname" "weapon_ammo_spawn"
	"origin" "10570 -9130 -12"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Ammo pile after dropping out of the final house
{
	"classname" "weapon_ammo_spawn"
	"origin" "10626 -4196 -64"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block survivors from jumping into a window in the final house to skip the first room
{
	"classname" "env_physics_blocker"
	"origin" "11138 -4622 -8"
	"mins" "-26 -8 -40"
	"maxs" "26 8 40"
	"initialstate" "1"
	"BlockType" "1"
	"targetname" "house_window_skip_blocker"
}
; --- Remove blocker when survivors go near it
{
	"classname" "logic_auto"
	"OnMapSpawn" "house_window_skip_trigger,AddOutput,mins -30 -8 -40,0,-1"
	"OnMapSpawn" "house_window_skip_trigger,AddOutput,maxs 30 8 40,0,-1"
	"OnMapSpawn" "house_window_skip_trigger,AddOutput,boxmins -30 -8 -40,0,-1"
	"OnMapSpawn" "house_window_skip_trigger,AddOutput,boxmaxs 30 8 40,0,-1"
	"OnMapSpawn" "house_window_skip_trigger,AddOutput,solid 2,0,-1"
}
{
	"classname" "trigger_once"
	"origin" "11138 -4606 -8"
	"targetname" "house_window_skip_trigger"
	"filtername" "filter_survivor"
	"spawnflags" "1"
	"OnStartTouch" "house_window_skip_blocker,Kill,,0,-1"
}
; --- Block survivors from jumping in the room on the side of the bridge
{
	"classname" "env_physics_blocker"
	"origin" "10357 -1824 101"
	"mins" "-3.5 -48 -41"
	"maxs" "3.5 48 41"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "10363 -1796 101"
	"mins" "-4.5 -25 -41"
	"maxs" "4.5 25 41"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
add:
; --- Stairs on warehouse loading bay platform
{
	"classname" "func_lod"
	"origin" "791 0 -2"
	"model" "*63"
	"DisappearMinDist" "2000"
	"DisappearMaxDist" "2200"
	"Solid" "0"
}
; --- Clipping on crashed train debris after exiting the final house
{
	"classname" "env_physics_blocker"
	"origin" "10769 -4498 54"
	"mins" "-32.5 -34 -5.5"
	"maxs" "32.5 34 5.5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "10767 -4498 65"
	"mins" "-31 -32 -5.5"
	"maxs" "31 32 5.5"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping to stop players getting stuck under awning after exiting the final house
{
	"classname" "env_physics_blocker"
	"origin" "10783 -4075 -63"
	"mins" "-65 -43 -1"
	"maxs" "65 43 1"
	"initialstate" "1"
	"BlockType" "0"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- Plank to allow survivors back up the one way drop before the warehouse
{
	"classname" "prop_dynamic"
	"origin" "10322 -8485 143"
	"angles" "0 90 18"
	"model" "models/props_swamp/plank001b_192.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fences on path behind warehouse
{
	"classname" "prop_dynamic"
	"origin" "11273 -9067 -78"
	"angles" "0 90 0"
	"model" "models/props_urban/fence002_256.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "11146 -9067 -78"
	"angles" "0 90 0"
	"model" "models/props_urban/fence_post002.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "11433 -9011 -70"
	"angles" "0 330 0"
	"model" "models/props_urban/fence_gate001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "11575 -9062 -80"
	"angles" "-87.4518 11.3627 -106.278"
	"model" "models/props_urban/fence_gate002_256.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "11759 -9067 -89"
	"angles" "0 270 -2.5"
	"model" "models/props_urban/fence002_256.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "11887 -9067 -95"
	"angles" "0 270 -2.5"
	"model" "models/props_urban/fence_post002.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Rock under fences towards the edge of the cliff
{
	"classname" "prop_dynamic"
	"origin" "11829 -9083 -161"
	"angles" "-0.637442 349.519 -33.4415"
	"model" "models/props/cs_militia/militiarock01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Truck by the fence on the path behind the warehouse
{
	"classname" "prop_dynamic"
	"origin" "11707 -8776 -87"
	"angles" "-0.311833 59.496 1.46724"
	"model" "models/props_vehicles/flatnose_truck.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "186 89 48"
}
{
	"classname" "prop_dynamic"
	"origin" "11707 -8776 -87"
	"angles" "-0.311833 59.496 1.46724"
	"model" "models/props_vehicles/flatnose_truck_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "11669 -8841 -37"
	"angles" "0 60 0"
	"mins" "-35 -32 -6"
	"maxs" "35 32 6"
	"boxmins" "-35 -32 -6"
	"boxmaxs" "35 32 6"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Crate behind the warehouse
{
	"classname" "prop_dynamic"
	"origin" "11486 -8296 -67"
	"angles" "0.500858 0.0654241 -3.498"
	"model" "models/props/cs_militia/crate_extralargemill.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Train car blocking the fastest route under the raised house
{
	"classname" "prop_dynamic"
	"origin" "10806 -5456 -232"
	"angles" "30 356 0"
	"model" "models/props_vehicles/train_box_small.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "89 89 151"
}
; --- Prevent a perma-stuck spot on the train
{
	"classname" "env_physics_blocker"
	"origin" "10645 -5481 -107"
	"mins" "-14 -27 -10"
	"maxs" "14 27 10"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Block LOS under the train
{
	"classname" "logic_auto"
	"OnMapSpawn" "anv_mapfixes_losfix_raised_house_train,AddOutput,mins -134 -1 -72,0,-1"
	"OnMapSpawn" "anv_mapfixes_losfix_raised_house_train,AddOutput,maxs 134 1 72,0,-1"
	"OnMapSpawn" "anv_mapfixes_losfix_raised_house_train,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "10835 -5469 -248"
	"targetname" "anv_mapfixes_losfix_raised_house_train"
}
; --- Crates to jump on the train before the bridge instead of the unusable ladder
{
	"classname" "prop_dynamic"
	"origin" "10483 -4265 -64"
	"angles" "0 327 0"
	"model" "models/props/cs_militia/crate_extralargemill.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10580 -4245 -64"
	"angles" "0 327 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10557 -4279 -64"
	"angles" "0 327 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10557 -4279 -64"
	"angles" "0 327 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10545 -4223 -64"
	"angles" "0 327 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10557 -4279 -24"
	"angles" "0 327 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10545 -4223 -24"
	"angles" "0 327 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic_override"
	"origin" "10548 -4278 22"
	"angles" "0 327 0"
	"model" "models/props_crates/supply_crate01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic_override"
	"origin" "10536 -4228 22"
	"angles" "0 57 0"
	"model" "models/props_crates/supply_crate01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Train ore car to block the bridge entrance
{
	"classname" "prop_dynamic"
	"origin" "10452 -3608 -63"
	"angles" "0 90 0"
	"model" "models/props_vehicles/train_orecar.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Infected ladder to climb up the front of the ore car
{
	"classname" "func_simpleladder"
	"origin" "115 3642 -4"
	"angles" "0 0 0"
	"model" "*170"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Plank to cross onto the train
{
	"classname" "prop_dynamic"
	"origin" "10450 -3960 99"
	"angles" "0 0 -8.5"
	"model" "models/props_swamp/plank001b_192.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Survivor ladder to climb back up the ore car from the back
{
	"classname" "func_simpleladder"
	"origin" "3489 -13847 -10"
	"angles" "0 90 0"
	"model" "*2"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "0"
}
{
	"classname" "prop_dynamic"
	"origin" "10491 -3336 -49"
	"angles" "0 180 0"
	"model" "models/props_vehicles/train_ladder.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Car transporter on bridge after ore car
{
	"classname" "prop_dynamic"
	"origin" "10452 -2979 -63"
	"angles" "0 270 0"
	"model" "models/props_trainstation/train_transporter.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on transporter
{
	"classname" "env_physics_blocker"
	"origin" "10452 -2961 79"
	"mins" "-20 -249 -2.5"
	"maxs" "20 249 2.5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "10452 -3219 83"
	"mins" "-60 -12 -6.5"
	"maxs" "60 12 6.5"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Cars by the transporter
{
	"classname" "prop_dynamic"
	"origin" "10452 -2899 78"
	"angles" "0 270 0"
	"model" "models/props_vehicles/cara_82hatchback.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "43 97 187"
}
{
	"classname" "prop_dynamic"
	"origin" "10452 -2899 78"
	"angles" "0 270 0"
	"model" "models/props_vehicles/cara_82hatchback_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10481 -2369 -64"
	"angles" "0 263.5 0"
	"model" "models/props_vehicles/cara_95sedan.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "187 61 43"
}
{
	"classname" "prop_dynamic"
	"origin" "10481 -2369 -64"
	"angles" "0 263.5 0"
	"model" "models/props_vehicles/cara_95sedan_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Survivor ladder at the end of the transporter
{
	"classname" "func_simpleladder"
	"origin" "3489 -13217 -13"
	"angles" "0 90 0"
	"model" "*2"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "0"
}
{
	"classname" "prop_dynamic"
	"origin" "10491 -2706 -52"
	"angles" "0 180 0"
	"model" "models/props_vehicles/train_ladder.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Flat train car after the car transporter
{
	"classname" "prop_dynamic"
	"origin" "10427 -1774 -63"
	"angles" "0 270 0"
	"model" "models/props_vehicles/train_flatcar.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Haybales on the flat train car
{
	"classname" "prop_dynamic"
	"origin" "10432 -1917 -15"
	"angles" "0 90 0"
	"model" "models/props_unique/haybails_single.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10394 -1671 25"
	"angles" "0 210 -90"
	"model" "models/props_unique/haybails_single.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10391 -1618 25"
	"angles" "0 210 -90"
	"model" "models/props_unique/haybails_single.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Train car outside end saferoom
{
	"classname" "prop_dynamic"
	"origin" "10419 -1128 -63"
	"angles" "0 91 0"
	"model" "models/props_vehicles/train_box_small.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Infected ladder to climb on the train car outside the end saferoom
{
	"classname" "func_simpleladder"
	"origin" "-140 6575 -1"
	"angles" "0 0 0"
	"model" "*168"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "0"
}


; =====================================================
; ==                   LADDER NERF                   ==
; ==         Nerf ladder attacks for infected        ==
; =====================================================


; ############  MAP SOUND AND GFX CHANGES  ############
; =====================================================
; ==                  SOUND REMOVAL                  ==
; ==    Remove or adjust sounds played by the map    ==
; =====================================================

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
add:
; --- Infected ladders to get on the saferoom roof
{
	"classname" "func_simpleladder"
	"origin" "-2981 -3719 516"
	"angles" "0 0 0"
	"model" "*168"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "7547 -11244 595"
	"angles" "0 180 0"
	"model" "models/props_rooftop/gutter_pipe_256.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "func_simpleladder"
	"origin" "-2636 -3978 516"
	"angles" "0 0 0"
	"model" "*170"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get on warehouse roof from the front
{
	"classname" "func_simpleladder"
	"origin" "264.5 -5065 10"
	"angles" "0 0 0"
	"model" "*76"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "10624 -8729 272"
	"angles" "0 270 0"
	"model" "models/props_rooftop/gutter_pipe_256.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10624 -8729 16"
	"angles" "0 270 0"
	"model" "models/props_rooftop/gutter_pipe_256.mdl"
	"solid" "0"
	"disableshadows" "1"
	"lightingorigin" "gutter_pipe_lighting"
}
{
	"classname" "info_target"
	"origin" "10624 -8729 272"
	"targetname" "gutter_pipe_lighting"
}
; --- Infected ladder to get on warehouse roof from right corner
{
	"classname" "func_simpleladder"
	"origin" "14724 1468.5 42"
	"angles" "0 270 0"
	"model" "*77"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "11060 -9080 296"
	"angles" "0 0 0"
	"model" "models/props_rooftop/gutter_pipe_256.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "11060 -9080 40"
	"angles" "0 0 0"
	"model" "models/props_rooftop/gutter_pipe_256.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Infected ladder to get on warehouse roof outside the forklift room
{
	"classname" "func_simpleladder"
	"origin" "587.5 -4143 10"
	"angles" "0 0 0"
	"model" "*77"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "11136 -7807 270"
	"angles" "0 90 0"
	"model" "models/props_rooftop/gutter_pipe_256.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "11136 -7807 14"
	"angles" "0 90 0"
	"model" "models/props_rooftop/gutter_pipe_256.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Infected ladders to climb up the warehouse loading bay platform
{
	"classname" "func_simpleladder"
	"origin" "728 -227.5 -96"
	"angles" "0 0 0"
	"model" "*168"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "492.5 -381 -52"
	"angles" "0 0 0"
	"model" "*164"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "11357 -7736 -62"
	"mins" "-228.5 -0.5 -50"
	"maxs" "228.5 0.5 50"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "11585 -7988 -62"
	"mins" "-0.5 -252 -50"
	"maxs" "0.5 252 50"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Survivor ladder replacement for train car before bridge
{
	"classname" "func_simpleladder"
	"origin" "-163 4922 -3048"
	"angles" "-15 0 0"
	"model" "*163"
	"normal.x" "0.96"
	"normal.y" "0.00"
	"normal.z" "0.25"
	"team" "0"
}
{
	"classname" "prop_dynamic"
	"origin" "10553 -4094 18"
	"angles" "-15 0 0"
	"model" "models/props/de_train/ladderaluminium.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Infected ladder to get on the bridge from above the end saferoom
{
	"classname" "func_simpleladder"
	"origin" "202.5 3098 -2"
	"angles" "0 0 0"
	"model" "*76"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Fix an unusable infected ladder on the fence by the final house
modify:
{
	match:
	{
		"hammerid" "2018083"
	}
	insert:
	{
		"origin" "0 -22 28"
	}
}


; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==              WAREHOUSE PATH REWORK              ==
; ==   Block warehouse entrances to change pathing   ==
; =====================================================
add:
; --- Barriers to block warehouse entrances
{
	"classname" "logic_auto"
	"OnMapSpawn" "warehouse_door_front_brush,AddOutput,mins -1 -50 -1,0,-1"
	"OnMapSpawn" "warehouse_door_front_brush,AddOutput,maxs 1 50 1,0,-1"
	"OnMapSpawn" "warehouse_door_front_brush,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "warehouse_door_back_brush,AddOutput,mins -1 -50 -1,0,-1"
	"OnMapSpawn" "warehouse_door_back_brush,AddOutput,maxs 1 50 1,0,-1"
	"OnMapSpawn" "warehouse_door_back_brush,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "warehouse_door_window_brush,AddOutput,mins -50 -1 -1,0,-1"
	"OnMapSpawn" "warehouse_door_window_brush,AddOutput,maxs 50 1 1,0,-1"
	"OnMapSpawn" "warehouse_door_window_brush,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "warehouse_button_glow_trigger,AddOutput,mins -188 -200 -134,0,-1"
	"OnMapSpawn" "warehouse_button_glow_trigger,AddOutput,maxs 188 200 134,0,-1"
	"OnMapSpawn" "warehouse_button_glow_trigger,AddOutput,boxmins -204 -212 -134,0,-1"
	"OnMapSpawn" "warehouse_button_glow_trigger,AddOutput,boxmaxs 204 212 134,0,-1"
	"OnMapSpawn" "warehouse_button_glow_trigger,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "warehouse_button_glow_trigger2,AddOutput,mins -270 -192 -180,0,-1"
	"OnMapSpawn" "warehouse_button_glow_trigger2,AddOutput,maxs 270 192 180,0,-1"
	"OnMapSpawn" "warehouse_button_glow_trigger2,AddOutput,boxmins -270 -192 -180,0,-1"
	"OnMapSpawn" "warehouse_button_glow_trigger2,AddOutput,boxmaxs 270 192 180,0,-1"
	"OnMapSpawn" "warehouse_button_glow_trigger2,AddOutput,solid 2,0,-1"
}
; --- Front door
{
	"classname" "prop_physics"
	"origin" "10628 -8984 52"
	"angles" "0 180 90"
	"model" "models/props_interiors/constructionwalls04.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "warehouse_door_front"
	"parentname" "warehouse_door_front_brush"
	"spawnflags" "264"
	"BreakableType" "2"
}
{
	"classname" "func_door"
	"origin" "10628 -8838 109"
	"targetname" "warehouse_door_front_brush"
	"movedir" "0 90 0"
	"speed" "60"
	"lip" "-180"
	"spawnflags" "544"
	"noise1" "Doors.Checkpoint.Move1"
	"noise2" "Doors.Metal.FullClose1"
}
; --- Back door
{
	"classname" "prop_physics"
	"origin" "11132 -8156 52"
	"angles" "0 180 90"
	"model" "models/props_interiors/constructionwalls04.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "warehouse_door_back"
	"parentname" "warehouse_door_back_brush"
	"spawnflags" "264"
	"BreakableType" "2"
}
{
	"classname" "func_door"
	"origin" "11132 -8010 109"
	"targetname" "warehouse_door_back_brush"
	"movedir" "0 90 0"
	"speed" "60"
	"lip" "-180"
	"spawnflags" "544"
	"noise1" "Doors.Checkpoint.Move1"
	"noise2" "Doors.Metal.FullClose1"
}
; --- Window
{
	"classname" "prop_physics"
	"origin" "11022 -7355 -11"
	"angles" "0 270 90"
	"model" "models/props_interiors/constructionwalls04.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "warehouse_door_window"
	"parentname" "warehouse_door_window_brush"
	"spawnflags" "264"
	"BreakableType" "2"
}
{
	"classname" "func_door"
	"origin" "10876.5 -7355.06 45.58"
	"targetname" "warehouse_door_window_brush"
	"movedir" "0 180 0"
	"speed" "60"
	"lip" "-180"
	"spawnflags" "544"
	"noise1" "Doors.Checkpoint.Move1"
	"noise2" "Doors.Metal.FullClose1"
}
; --- Button in forklift room to open barriers
{
	"classname" "prop_dynamic"
	"origin" "11138 -7959 50"
	"angles" "0 0 0"
	"model" "models/props_unique/generator_switch_01.mdl"
	"solid" "0"
	"disableshadows" "1"
	"targetname" "warehouse_button_prop_glow"
	"DefaultAnim" "ref"
	"HoldAnimation" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "11138 -7959 50"
	"angles" "0 0 0"
	"model" "models/props_unique/generator_switch_01_outline.mdl"
	"solid" "0"
	"disableshadows" "1"
	"targetname" "warehouse_button_prop_glow_back"
}
{
	"classname" "script_func_button"
	"origin" "11139 -7957 36"
	"angles" "0 0 0"
	"extent" "3 11 47"
	"spawnflags" "1025"
	"wait" "-1"
	"sounds" "10"
	"glow" "warehouse_button_prop_glow"
	; --- Animate button press
	"OnPressed" "warehouse_button_prop_glow,SetAnimation,on,0,-1"
	; --- Open doors
	"OnPressed" "warehouse_door_front_brush,Open,,0.5,-1"
	"OnPressed" "warehouse_door_back_brush,Open,,0.5,-1"
	"OnPressed" "warehouse_door_window_brush,Open,,0.5,-1"
	; --- Kill doors
	"OnPressed" "warehouse_door_front_brush,Kill,,5,-1"
	"OnPressed" "warehouse_door_back_brush,Kill,,5,-1"
	"OnPressed" "warehouse_door_window_brush,Kill,,5,-1"
	; --- Kill glow hints
	"OnPressed" "warehouse_button_glow_trigger,Kill,,0,-1"
	"OnPressed" "warehouse_button_glow_trigger2,Kill,,0,-1"
	"OnPressed" "warehouse_button_prop_glow,StopGlowing,,0,-1"
	"OnPressed" "warehouse_button_prop_glow_back,StopGlowing,,0,-1"
}
; --- Triggers to make button flash if survivors try to enter through the front
{
	"classname" "trigger_multiple"
	"origin" "10468 -8892 58"
	"targetname" "warehouse_button_glow_trigger"
	"filtername" "filter_survivor"
	"spawnflags" "1"
	"OnStartTouch" "warehouse_glow_prop_timer,Enable,,0,-1"
	"OnEndTouchAll" "warehouse_glow_prop_timer,Disable,,10,-1"
}
{
	"classname" "trigger_multiple"
	"origin" "11854 -8048 68"
	"targetname" "warehouse_button_glow_trigger2"
	"filtername" "filter_survivor"
	"spawnflags" "1"
	"OnStartTouch" "warehouse_glow_prop_timer,Enable,,0,-1"
	"OnEndTouchAll" "warehouse_glow_prop_timer,Disable,,10,-1"
}
{
	"classname" "logic_timer"
	"targetname" "warehouse_glow_prop_timer"
	"StartDisabled" "1"
	"RefireTime" "1"
	"OnTimer" "warehouse_button_prop_glow,StartGlowing,,0,-1"
	"OnTimer" "warehouse_button_prop_glow_back,StartGlowing,,0,-1"
	"OnTimer" "warehouse_button_prop_glow,StopGlowing,,0.5,-1"
	"OnTimer" "warehouse_button_prop_glow_back,StopGlowing,,0.5,-1"
}
; --- Arrow decal
{
	"classname" "infodecal"
	"origin" "10624 -9014 48"
	"texture" "decals/checkpointarrow01_orange"
}

; =====================================================
; ==                 WAREHOUSE AWNING                ==
; ==     Add an awning to the warehouse like L4D1    ==
; =====================================================
add:
{
	"classname" "prop_dynamic"
	"origin" "10626 -7929 173"
	"angles" "-15 0 0"
	"model" "models/props_highway/corrugated_panel_06.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10626 -7993 173"
	"angles" "-15 0 0"
	"model" "models/props_highway/corrugated_panel_06.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10626 -8057 173"
	"angles" "-15 0 0"
	"model" "models/props_highway/corrugated_panel_06.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10626 -8121 173"
	"angles" "-15 0 0"
	"model" "models/props_highway/corrugated_panel_06.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10626 -8185 173"
	"angles" "-15 0 0"
	"model" "models/props_highway/corrugated_panel_06.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10626 -8249 173"
	"angles" "-15 0 0"
	"model" "models/props_highway/corrugated_panel_06.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10626 -8313 173"
	"angles" "-15 0 0"
	"model" "models/props_highway/corrugated_panel_06.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10626 -8377 173"
	"angles" "-15 0 0"
	"model" "models/props_highway/corrugated_panel_06.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10626 -8441 173"
	"angles" "-15 0 0"
	"model" "models/props_highway/corrugated_panel_06.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10626 -8505 173"
	"angles" "-15 0 0"
	"model" "models/props_highway/corrugated_panel_06.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10626 -8569 173"
	"angles" "-15 0 0"
	"model" "models/props_highway/corrugated_panel_06.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10626 -8633 173"
	"angles" "-15 0 0"
	"model" "models/props_highway/corrugated_panel_06.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10626 -8697 173"
	"angles" "-15 0 0"
	"model" "models/props_highway/corrugated_panel_06.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping to fix collsion issues
{
	"classname" "env_physics_blocker"
	"origin" "10595 -8281 165"
	"angles" "-15 0 0"
	"mins" "-32 -416 -1"
	"maxs" "32 416 1"
	"boxmins" "-32 -416 -1"
	"boxmaxs" "32 416 1"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Block for survivors
{
	"classname" "env_physics_blocker"
	"origin" "10595 -8281 226"
	"mins" "-31.5 -416 -50"
	"maxs" "31.5 416 50"
	"initialstate" "1"
	"BlockType" "1"
}
; =====================================================
; ==                  SAFEROOM ITEMS                 ==
; ==    Saferoom item spawns - ammo piles, weapons   ==
; =====================================================
add:
; ---add chrome and silenced smg in saferoom
{
	"classname" "weapon_spawn"
	"origin" "7590 -11396 440"
	"angles" "0 90 -90"
	"weapon_selection" "weapon_shotgun_chrome"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
{
	"classname" "weapon_spawn"
	"origin" "7590 -11343 441"
	"angles" "0 90 -90"
	"weapon_selection" "weapon_smg_silenced"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}